Gtk2::Pango::LayoutLine(3)

NAME
Gtk2::Pango::LayoutLine

HIERARCHY
  Glib::Boxed
  +----Gtk2::Pango::LayoutLine

METHODS

  (ink_rect, logical_rect) = $line->get_extents

  (ink_rect, logical_rect) = $line->get_pixel_extents

  x_pos = $line->index_to_x ($index_, $trailing)

    * $index_ (integer)
    * $trailing (boolean)

  list = $line->get_pixel_extents

  list = $line->get_x_ranges ($start_index, $end_index)

    * $start_index (integer)
    * $end_index (integer)

  (boolean, index_, trailing) = $line->x_to_index ($x_pos)

    * $x_pos (integer)

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.